# SharedMemorySegmentHandler Class Reference
[Root classes for building DAO hierarchies]

Inheritance diagram for SharedMemorySegmentHandler:
[legend]

List of all members.

## Public Member Functions

| __construct ($segmentId)
| touch ($key)
| creates key in segment
| unlink ($key)
| deletes key from segment
| ping ($key)
| checks for a key existence in segment
| drop ()
| destroys segment

## Public Attributes

const | SEGMENT_SIZE = 2097152

## Private Attributes

| $id = null

## Detailed Description

Definition at line 15 of file SharedMemorySegmentHandler.class.php.

## Constructor & Destructor Documentation

SharedMemorySegmentHandler::__construct | ( | $ | segmentId | ) |

Implements SegmentHandler.

Definition at line 21 of file SharedMemorySegmentHandler.class.php.

## Member Function Documentation

SharedMemorySegmentHandler::drop | ( |  | ) |

destroys segment

Implements SegmentHandler.

Definition at line 86 of file SharedMemorySegmentHandler.class.php.

Referenced by touch().

SharedMemorySegmentHandler::ping | ( | $ | key | ) |

checks for a key existence in segment

Implements SegmentHandler.

Definition at line 66 of file SharedMemorySegmentHandler.class.php.

SharedMemorySegmentHandler::touch | ( | $ | key | ) |

creates key in segment

Implements SegmentHandler.

Definition at line 26 of file SharedMemorySegmentHandler.class.php.

References drop().

Here is the call graph for this function:

SharedMemorySegmentHandler::unlink | ( | $ | key | ) |

deletes key from segment

Implements SegmentHandler.

Definition at line 46 of file SharedMemorySegmentHandler.class.php.

## Member Data Documentation

SharedMemorySegmentHandler::$id = null`[private]`

Definition at line 19 of file SharedMemorySegmentHandler.class.php.

const SharedMemorySegmentHandler::SEGMENT_SIZE = 2097152

Definition at line 17 of file SharedMemorySegmentHandler.class.php.

The documentation for this class was generated from the following file:

- main/DAOs/Handlers/SharedMemorySegmentHandler.class.php